package com.bootdo.data.service.impl;

import com.bootdo.data.entity.TfInfoEnterprise;
import com.bootdo.data.dao.TfInfoEnterpriseDao;
import com.bootdo.data.service.TfInfoEnterpriseService;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;
import java.util.Map;
import java.util.Objects;

/**
 * 法人表(TfInfoEnterprise)表服务实现类
 *
 * @author makejava
 * @since 2022-05-09 15:51:40
 */
@Service("tfInfoEnterpriseService")
public class TfInfoEnterpriseServiceImpl implements TfInfoEnterpriseService {
    @Resource
    private TfInfoEnterpriseDao tfInfoEnterpriseDao;

    /**
     * 通过ID查询单条数据
     *
     * @param id 主键
     * @return 实例对象
     */
    @Override
    public TfInfoEnterprise queryById(Integer id) {
        return this.tfInfoEnterpriseDao.queryById(id);
    }

    /**
     * 查询多条数据
     *
     * @param offset 查询起始位置
     * @param limit  查询条数
     * @return 对象列表
     */
    @Override
    public List<TfInfoEnterprise> queryAllByLimit(int offset, int limit) {
        return this.tfInfoEnterpriseDao.queryAllByLimit(offset, limit);
    }

    /**
     * 新增数据
     *
     * @param tfInfoEnterprise 实例对象
     * @return 实例对象
     */
    @Override
    public TfInfoEnterprise insert(TfInfoEnterprise tfInfoEnterprise) {
        this.tfInfoEnterpriseDao.insert(tfInfoEnterprise);
        return tfInfoEnterprise;
    }

    /**
     * 修改数据
     *
     * @param tfInfoEnterprise 实例对象
     * @return 实例对象
     */
    @Override
    public TfInfoEnterprise update(TfInfoEnterprise tfInfoEnterprise) {
        this.tfInfoEnterpriseDao.update(tfInfoEnterprise);
        return this.queryById(tfInfoEnterprise.getId());
    }

    /**
     * 通过主键删除数据
     *
     * @param id 主键
     * @return 是否成功
     */
    @Override
    public boolean deleteById(Integer id) {
        return this.tfInfoEnterpriseDao.deleteById(id) > 0;
    }

    @Override
    public int queryPageCount(Map<String, Object> map) {
        return this.tfInfoEnterpriseDao.queryPageCount(map);
    }

    @Override
    public List<TfInfoEnterprise> queryPage(Map<String, Object> map) {
        return this.tfInfoEnterpriseDao.queryPage(map);
    }

    @Override
    public void disable(Long id) {
        TfInfoEnterprise tfInfoEnterprise = this.tfInfoEnterpriseDao.queryById(id.intValue());
        if (Objects.nonNull(tfInfoEnterprise)) {
            if (tfInfoEnterprise.getState() == 0) {
                tfInfoEnterprise.setState(1);
            } else {
                tfInfoEnterprise.setState(0);
            }

            this.tfInfoEnterpriseDao.update(tfInfoEnterprise);
        }
    }

    @Override
    public TfInfoEnterprise loginQuery(Map<String, Object> parameter) {
        return this.tfInfoEnterpriseDao.loginQuery(parameter);
    }
}